import { DomainError } from './domain-error';

export class ValidationError extends DomainError {
  public readonly code = 'VALIDATION_ERROR';
  public readonly statusCode = 400;

  constructor(message: string, public readonly details?: Record<string, string[]>) {
    super(message);
  }
}
